Top Account Ratio History

This endpoint provides historical data for the long/short account ratio of top traders.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is available on the following API plans:

PlansHobbyistStartupStandardProfessionalEnterprise
Available✅✅✅✅✅
interval Limit​>=4h​>=30mNo LimitNo LimitNo Limit

Response Data

{
  "code": "0",
  "msg": "success",
  "data": [
    {
      "time": 1741615200000, // Timestamp (in milliseconds)
      "top_account_long_percent": 73.3, // Long position percentage of top accounts (%)
      "top_account_short_percent": 26.7, // Short position percentage of top accounts (%)
      "top_account_long_short_ratio": 2.75 // Long/Short ratio of top accounts
    },
    {
      "time": 1741618800000, // Timestamp (in milliseconds)
      "top_account_long_percent": 74.18, // Long position percentage of top accounts (%)
      "top_account_short_percent": 25.82, // Short position percentage of top accounts (%)
      "top_account_long_short_ratio": 2.87 // Long/Short ratio of top accounts
    }
  ]
}
Query Params
string
required
Defaults to Binance

Supported futures exchanges, for example: Binance, OKX, Gate, HTX and Bybit.

string
required
Defaults to BTCUSDT

Trading pair, for example: BTCUSDT.
Binance, Gate, and HTX support all coins. You can retrieve the supported trading pairs via the supported-exchange-pair API.
OKX supports the following coins: XRP, BTC, LINK, FIL, BCH, ETH, ETC, ADA, LTC, DOT, TRX.
Bybit supports the following coins: BTC, ETH, SOL, XRP, DOGE, TON, LTC, BCH, ADA.

string
required
Defaults to 4h

Time interval for data aggregation. Supported values: 1m, 3m, 5m, 15m, 30m, 1h, 4h, 6h, 8h, 12h, 1d, 1w

int32

Number of results per request. Default: 1000, Maximum: 1000

int64

Start timestamp in milliseconds (e.g., 1641522717000).

int64

End timestamp in milliseconds (e.g., 1641522717000).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json